db:
  port: 3306
  host: "localhost"
  user: "db-user"
  name: "db-name"
  password: "xxx"
  verbose: false
s3:
  uri: "https://s3.example.org"
  access_key: "xxx"
  secret_key: "xxx"
  username: "bucket-manager"
  initial_bucket_size_limit: "100GiB"
  initial_bucket_object_limit: 10000
  default_bucket_size_limit: "400GiB"
  default_bucket_object_limit: 40000
  data_bucket: "clowm-data"
smtp:
  server: "smtp.example.org"
  port: 587
  sender_email: "no-reply@clowm.com"
  reply_email: "reply-to@clowm.com"
  connection_security: "starttls"
  local_hostname: "local.hostname"
  ca_path: "/path/to/optional/ca/certificate.pem"
  key_file: "/path/to/optional/key/file.pem"
  user: "username"
  password: "xxx"
cluster:
  slurm:
    uri: "http://localhost"
    token: "xxx"
    user: "slurm"
  nxf_config: "/path/to/nextflow.config"
  nxf_bin: "/path/to/nextflow"
  working_directory: "/vol/clowm"
  active_workflow_execution_limit: 10
  job_monitoring: "EXPONENTIAL"
  execution_cleanup: true
  resource_cluster_path: "/vol/data/databases"
  resource_container_path: "/vol/resources"
lifescience_oidc:
  client_secret: "xxx"
  client_id: "xxx"
  base_uri: "https://login.aai.lifescience-ri.eu"
  server_metadata_url: "https://login.aai.lifescience-ri.eu/oidc/.well-known/openid-configuration"
otlp:
  grpc_endpoint: "localhost:4317"
api_prefix: "/api"
private_key_file: "/path/to/key"
ui_uri: "http://localhost"
secret_key: "xxx"
block_foreign_users: false
jwt_token_expire_minutes: 10080
dev_system: false
